Jackpot Configure
curl --request POST \
--url https://s-apis.oppigames.com/game/jackpot-configure \
--header 'Content-Type: <content-type>' \
--header 'x-api-key: <x-api-key>' \
--header 'x-signature: <x-signature>' \
--header 'x-timestamp: <x-timestamp>' \
--data '
{
"gameId": "<string>",
"betPortion": 123,
"jackpotPool": 123,
"forOnce": true
}
'import requests
url = "https://s-apis.oppigames.com/game/jackpot-configure"
payload = {
"gameId": "<string>",
"betPortion": 123,
"jackpotPool": 123,
"forOnce": True
}
headers = {
"x-api-key": "<x-api-key>",
"x-signature": "<x-signature>",
"x-timestamp": "<x-timestamp>",
"Content-Type": "<content-type>"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-api-key': '<x-api-key>',
'x-signature': '<x-signature>',
'x-timestamp': '<x-timestamp>',
'Content-Type': '<content-type>'
},
body: JSON.stringify({gameId: '<string>', betPortion: 123, jackpotPool: 123, forOnce: true})
};
fetch('https://s-apis.oppigames.com/game/jackpot-configure', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://s-apis.oppigames.com/game/jackpot-configure",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'gameId' => '<string>',
'betPortion' => 123,
'jackpotPool' => 123,
'forOnce' => true
]),
CURLOPT_HTTPHEADER => [
"Content-Type: <content-type>",
"x-api-key: <x-api-key>",
"x-signature: <x-signature>",
"x-timestamp: <x-timestamp>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"status": "RS_OK",
"data": [
{
"jackpotId": "200b4487-3e2d-4c83-a85d-3f6d7245ba10",
"gameId": "G1742373671848",
"betPortion": 5,
"jackpotPool": 150000000,
"status": 1,
"forOnce":false,
"createdAt": "2025-07-15T09:14:18.339Z",
"updatedAt": "2025-07-15T09:14:18.339Z"
}
]
}
{
"status": "RS_ERROR",
"message": "Oops! Something went wrong. Please refresh the page or try again in a moment"
}
Jackpot
Jackpot Configure
This API is used to configure a jackpot for a specific game. You can create or update the jackpot with this API. The jackpot will be enabled, filled, and awarded to users until it is deactivated. This is a one-time configuration and will remain effective until jackpot deactivation. The jackpot amount is awarded as the converted amount.
POST
/
game
/
jackpot-configure
Jackpot Configure
curl --request POST \
--url https://s-apis.oppigames.com/game/jackpot-configure \
--header 'Content-Type: <content-type>' \
--header 'x-api-key: <x-api-key>' \
--header 'x-signature: <x-signature>' \
--header 'x-timestamp: <x-timestamp>' \
--data '
{
"gameId": "<string>",
"betPortion": 123,
"jackpotPool": 123,
"forOnce": true
}
'import requests
url = "https://s-apis.oppigames.com/game/jackpot-configure"
payload = {
"gameId": "<string>",
"betPortion": 123,
"jackpotPool": 123,
"forOnce": True
}
headers = {
"x-api-key": "<x-api-key>",
"x-signature": "<x-signature>",
"x-timestamp": "<x-timestamp>",
"Content-Type": "<content-type>"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-api-key': '<x-api-key>',
'x-signature': '<x-signature>',
'x-timestamp': '<x-timestamp>',
'Content-Type': '<content-type>'
},
body: JSON.stringify({gameId: '<string>', betPortion: 123, jackpotPool: 123, forOnce: true})
};
fetch('https://s-apis.oppigames.com/game/jackpot-configure', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://s-apis.oppigames.com/game/jackpot-configure",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'gameId' => '<string>',
'betPortion' => 123,
'jackpotPool' => 123,
'forOnce' => true
]),
CURLOPT_HTTPHEADER => [
"Content-Type: <content-type>",
"x-api-key: <x-api-key>",
"x-signature: <x-signature>",
"x-timestamp: <x-timestamp>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"status": "RS_OK",
"data": [
{
"jackpotId": "200b4487-3e2d-4c83-a85d-3f6d7245ba10",
"gameId": "G1742373671848",
"betPortion": 5,
"jackpotPool": 150000000,
"status": 1,
"forOnce":false,
"createdAt": "2025-07-15T09:14:18.339Z",
"updatedAt": "2025-07-15T09:14:18.339Z"
}
]
}
{
"status": "RS_ERROR",
"message": "Oops! Something went wrong. Please refresh the page or try again in a moment"
}
Headers
string
required
A unique identifier associated with operator calling API.
string
required
A SHA256 HMAC signature generated using the request body and timestamp.
Format: HMAC_SHA256(JSON.stringify(data) + ’|’ + timestamp), signed using the
provided secret key.
string
required
An Unix timestamp (milliseconds) Used to verify the request’s freshness.
Ensure the same value is used in signature generation.
The signature will remain valid for only 5 minutes from the provided
timestamp.
string
required
Must be set to
application/json.Request Body
string
required
Unique identifier representing the game for which you want to create the jackpot.
integer
required
This is the percentage value to be extracted from each user’s bet. For example, if set to 5%, then 5% of every bet placed in this game will be added to the jackpot pool.
integer
required
This is the total amount of the jackpot pool. Once the pool filled by betPortion contributions, reaches it’s limit, a portion of it will be awarded to users based on the mini-game logic. This amount is considered in USD. Bet in any currency will be converted to USD and then added to this pool. This pool will be awarded to user in their currency with our conversion rates.
To maintain precision and avoid floating-point errors, the balance field is processed as an integer value by multiplying the actual amount by 100000.For example, a balance of 12.34567 will be represented as 1234567 in the API.
boolean
required
If forOnce = true, the jackpot will be a one-time reward and will no longer be effective once it has been awarded, whereas if forOnce = false, the jackpot will be recurring and remain effective until it is explicitly deleted.
Response
string
required
Code indicates status of the request weather it is succeed or failed. We have listed error codes here
array
required
An array of jackpot objects containing details about.
Show Data properties
Show Data properties
string
required
Unique identifier for the jackpot.
string
required
Unique identifier for the game associated with the jackpot.
number
required
The portion of the bet amount contributing to the jackpot pool.
number
required
The total amount of the jackpot pool in USD currency.
To maintain precision and avoid floating-point errors, the jackpot pool field is processed as an integer value by multiplying the actual amount by 100000.For example, a jackpot pool of 12.34567 will be represented as 1234567 in the API.
integer
required
Status code of the jackpot (e.g., 1 for active).
string
required
Timestamp indicating when the jackpot entry was created (UTC format).
string
required
Timestamp indicating when the jackpot entry was last updated (UTC format).
boolean
required
If forOnce = true, the jackpot will be a one-time reward and will no longer be effective once it has been awarded, whereas if forOnce = false, the jackpot will be recurring and remain effective until it is explicitly deleted.
{
"status": "RS_OK",
"data": [
{
"jackpotId": "200b4487-3e2d-4c83-a85d-3f6d7245ba10",
"gameId": "G1742373671848",
"betPortion": 5,
"jackpotPool": 150000000,
"status": 1,
"forOnce":false,
"createdAt": "2025-07-15T09:14:18.339Z",
"updatedAt": "2025-07-15T09:14:18.339Z"
}
]
}
{
"status": "RS_ERROR",
"message": "Oops! Something went wrong. Please refresh the page or try again in a moment"
}
⌘I
